import openreview
import pickle

client = openreview.api.OpenReviewClient(
    baseurl="https://api2.openreview.net", username="<username>", password="<password>"
)

venue_id = "ICLR.cc/2025/Conference"
venue_group = client.get_group(venue_id)
submission_name = venue_group.content["submission_name"]["value"]
submissions = client.get_all_notes(
    invitation=f"{venue_id}/-/{submission_name}", details="replies"
)

with open("iclr_2025_raw.pkl", "wb") as file:
    pickle.dump(submissions, file)
